# Darknet Diaries LLM
## What is Darknet Diaries?
Well, let's ask our LLM:

> &gt; What is Darknet Diaries?
> > Darknet Diaries is a podcast that explores true stories from the dark side of the internet. Hosted by Jack Rhysider, each episode delves into various topics related to hacking, cybercrime, and the underground world of the internet. The podcast features interviews with individuals who have been involved in hacking incidents, cyber espionage, or have experienced the consequences of online criminal activities. Darknet Diaries aims to educate and entertain listeners by providing an in-depth look into the fascinating and often mysterious world of the darknet.

## How to run
### Install dependencies
I have no idea what the correct way to install dependencies with python is. Somehow install these libraries and their dependencies:
- llama_index
- beautifulsoup4
### Execution
Download transcripts:
```shell
python3 download_transcripts.py
```

Set OpenAPI key as environment variable
```shell
OPEN_API_KEY=<your key>
```

Then run the main file
```shell
python3 main.py
```

On the first run, it will generate the index. This can take a while, but it will be cached on disk for the next runs.

You can then ask it any questions about Darknet Diaries! Currently, it does hallucinate a lot about episode numbers and titles. Other than that, it's pretty accurate!